// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proto/search/search.proto

package search

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

import (
	client "github.com/micro/go-micro/client"
	server "github.com/micro/go-micro/server"
	context "golang.org/x/net/context"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Query struct {
	Query                string   `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Query) Reset()         { *m = Query{} }
func (m *Query) String() string { return proto.CompactTextString(m) }
func (*Query) ProtoMessage()    {}
func (*Query) Descriptor() ([]byte, []int) {
	return fileDescriptor_939d9f54669eb8a6, []int{0}
}

func (m *Query) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Query.Unmarshal(m, b)
}
func (m *Query) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Query.Marshal(b, m, deterministic)
}
func (m *Query) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Query.Merge(m, src)
}
func (m *Query) XXX_Size() int {
	return xxx_messageInfo_Query.Size(m)
}
func (m *Query) XXX_DiscardUnknown() {
	xxx_messageInfo_Query.DiscardUnknown(m)
}

var xxx_messageInfo_Query proto.InternalMessageInfo

func (m *Query) GetQuery() string {
	if m != nil {
		return m.Query
	}
	return ""
}

type Node struct {
	Id                   string      `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string      `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Type                 string      `protobuf:"bytes,3,opt,name=type,proto3" json:"type,omitempty"`
	Coordinate           *Coordinate `protobuf:"bytes,4,opt,name=coordinate,proto3" json:"coordinate,omitempty"`
	FloorID              string      `protobuf:"bytes,5,opt,name=floorID,proto3" json:"floorID,omitempty"`
	Details              *Details    `protobuf:"bytes,6,opt,name=details,proto3" json:"details,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *Node) Reset()         { *m = Node{} }
func (m *Node) String() string { return proto.CompactTextString(m) }
func (*Node) ProtoMessage()    {}
func (*Node) Descriptor() ([]byte, []int) {
	return fileDescriptor_939d9f54669eb8a6, []int{1}
}

func (m *Node) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Node.Unmarshal(m, b)
}
func (m *Node) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Node.Marshal(b, m, deterministic)
}
func (m *Node) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Node.Merge(m, src)
}
func (m *Node) XXX_Size() int {
	return xxx_messageInfo_Node.Size(m)
}
func (m *Node) XXX_DiscardUnknown() {
	xxx_messageInfo_Node.DiscardUnknown(m)
}

var xxx_messageInfo_Node proto.InternalMessageInfo

func (m *Node) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Node) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Node) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *Node) GetCoordinate() *Coordinate {
	if m != nil {
		return m.Coordinate
	}
	return nil
}

func (m *Node) GetFloorID() string {
	if m != nil {
		return m.FloorID
	}
	return ""
}

func (m *Node) GetDetails() *Details {
	if m != nil {
		return m.Details
	}
	return nil
}

type Coordinate struct {
	X                    float64  `protobuf:"fixed64,1,opt,name=x,proto3" json:"x,omitempty"`
	Y                    float64  `protobuf:"fixed64,2,opt,name=y,proto3" json:"y,omitempty"`
	Z                    float64  `protobuf:"fixed64,3,opt,name=z,proto3" json:"z,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Coordinate) Reset()         { *m = Coordinate{} }
func (m *Coordinate) String() string { return proto.CompactTextString(m) }
func (*Coordinate) ProtoMessage()    {}
func (*Coordinate) Descriptor() ([]byte, []int) {
	return fileDescriptor_939d9f54669eb8a6, []int{2}
}

func (m *Coordinate) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Coordinate.Unmarshal(m, b)
}
func (m *Coordinate) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Coordinate.Marshal(b, m, deterministic)
}
func (m *Coordinate) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Coordinate.Merge(m, src)
}
func (m *Coordinate) XXX_Size() int {
	return xxx_messageInfo_Coordinate.Size(m)
}
func (m *Coordinate) XXX_DiscardUnknown() {
	xxx_messageInfo_Coordinate.DiscardUnknown(m)
}

var xxx_messageInfo_Coordinate proto.InternalMessageInfo

func (m *Coordinate) GetX() float64 {
	if m != nil {
		return m.X
	}
	return 0
}

func (m *Coordinate) GetY() float64 {
	if m != nil {
		return m.Y
	}
	return 0
}

func (m *Coordinate) GetZ() float64 {
	if m != nil {
		return m.Z
	}
	return 0
}

type Details struct {
	Description          string        `protobuf:"bytes,1,opt,name=description,proto3" json:"description,omitempty"`
	Logoid               string        `protobuf:"bytes,2,opt,name=logoid,proto3" json:"logoid,omitempty"`
	Imageid              string        `protobuf:"bytes,3,opt,name=imageid,proto3" json:"imageid,omitempty"`
	OpeningHours         *OpeningHours `protobuf:"bytes,4,opt,name=openingHours,proto3" json:"openingHours,omitempty"`
	Location             string        `protobuf:"bytes,5,opt,name=location,proto3" json:"location,omitempty"`
	Category             string        `protobuf:"bytes,6,opt,name=category,proto3" json:"category,omitempty"`
	Tags                 []string      `protobuf:"bytes,7,rep,name=tags,proto3" json:"tags,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *Details) Reset()         { *m = Details{} }
func (m *Details) String() string { return proto.CompactTextString(m) }
func (*Details) ProtoMessage()    {}
func (*Details) Descriptor() ([]byte, []int) {
	return fileDescriptor_939d9f54669eb8a6, []int{3}
}

func (m *Details) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Details.Unmarshal(m, b)
}
func (m *Details) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Details.Marshal(b, m, deterministic)
}
func (m *Details) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Details.Merge(m, src)
}
func (m *Details) XXX_Size() int {
	return xxx_messageInfo_Details.Size(m)
}
func (m *Details) XXX_DiscardUnknown() {
	xxx_messageInfo_Details.DiscardUnknown(m)
}

var xxx_messageInfo_Details proto.InternalMessageInfo

func (m *Details) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *Details) GetLogoid() string {
	if m != nil {
		return m.Logoid
	}
	return ""
}

func (m *Details) GetImageid() string {
	if m != nil {
		return m.Imageid
	}
	return ""
}

func (m *Details) GetOpeningHours() *OpeningHours {
	if m != nil {
		return m.OpeningHours
	}
	return nil
}

func (m *Details) GetLocation() string {
	if m != nil {
		return m.Location
	}
	return ""
}

func (m *Details) GetCategory() string {
	if m != nil {
		return m.Category
	}
	return ""
}

func (m *Details) GetTags() []string {
	if m != nil {
		return m.Tags
	}
	return nil
}

type OpeningHours struct {
	Sunday               string   `protobuf:"bytes,1,opt,name=sunday,proto3" json:"sunday,omitempty"`
	Monday               string   `protobuf:"bytes,2,opt,name=monday,proto3" json:"monday,omitempty"`
	Tuesday              string   `protobuf:"bytes,3,opt,name=tuesday,proto3" json:"tuesday,omitempty"`
	Wednesday            string   `protobuf:"bytes,4,opt,name=wednesday,proto3" json:"wednesday,omitempty"`
	Thursday             string   `protobuf:"bytes,5,opt,name=thursday,proto3" json:"thursday,omitempty"`
	Friday               string   `protobuf:"bytes,6,opt,name=friday,proto3" json:"friday,omitempty"`
	Saturday             string   `protobuf:"bytes,7,opt,name=saturday,proto3" json:"saturday,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *OpeningHours) Reset()         { *m = OpeningHours{} }
func (m *OpeningHours) String() string { return proto.CompactTextString(m) }
func (*OpeningHours) ProtoMessage()    {}
func (*OpeningHours) Descriptor() ([]byte, []int) {
	return fileDescriptor_939d9f54669eb8a6, []int{4}
}

func (m *OpeningHours) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_OpeningHours.Unmarshal(m, b)
}
func (m *OpeningHours) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_OpeningHours.Marshal(b, m, deterministic)
}
func (m *OpeningHours) XXX_Merge(src proto.Message) {
	xxx_messageInfo_OpeningHours.Merge(m, src)
}
func (m *OpeningHours) XXX_Size() int {
	return xxx_messageInfo_OpeningHours.Size(m)
}
func (m *OpeningHours) XXX_DiscardUnknown() {
	xxx_messageInfo_OpeningHours.DiscardUnknown(m)
}

var xxx_messageInfo_OpeningHours proto.InternalMessageInfo

func (m *OpeningHours) GetSunday() string {
	if m != nil {
		return m.Sunday
	}
	return ""
}

func (m *OpeningHours) GetMonday() string {
	if m != nil {
		return m.Monday
	}
	return ""
}

func (m *OpeningHours) GetTuesday() string {
	if m != nil {
		return m.Tuesday
	}
	return ""
}

func (m *OpeningHours) GetWednesday() string {
	if m != nil {
		return m.Wednesday
	}
	return ""
}

func (m *OpeningHours) GetThursday() string {
	if m != nil {
		return m.Thursday
	}
	return ""
}

func (m *OpeningHours) GetFriday() string {
	if m != nil {
		return m.Friday
	}
	return ""
}

func (m *OpeningHours) GetSaturday() string {
	if m != nil {
		return m.Saturday
	}
	return ""
}

type NodeResponse struct {
	Nodes                []*Node  `protobuf:"bytes,1,rep,name=nodes,proto3" json:"nodes,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NodeResponse) Reset()         { *m = NodeResponse{} }
func (m *NodeResponse) String() string { return proto.CompactTextString(m) }
func (*NodeResponse) ProtoMessage()    {}
func (*NodeResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_939d9f54669eb8a6, []int{5}
}

func (m *NodeResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NodeResponse.Unmarshal(m, b)
}
func (m *NodeResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NodeResponse.Marshal(b, m, deterministic)
}
func (m *NodeResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NodeResponse.Merge(m, src)
}
func (m *NodeResponse) XXX_Size() int {
	return xxx_messageInfo_NodeResponse.Size(m)
}
func (m *NodeResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_NodeResponse.DiscardUnknown(m)
}

var xxx_messageInfo_NodeResponse proto.InternalMessageInfo

func (m *NodeResponse) GetNodes() []*Node {
	if m != nil {
		return m.Nodes
	}
	return nil
}

func init() {
	proto.RegisterType((*Query)(nil), "search.Query")
	proto.RegisterType((*Node)(nil), "search.Node")
	proto.RegisterType((*Coordinate)(nil), "search.Coordinate")
	proto.RegisterType((*Details)(nil), "search.Details")
	proto.RegisterType((*OpeningHours)(nil), "search.OpeningHours")
	proto.RegisterType((*NodeResponse)(nil), "search.NodeResponse")
}

func init() { proto.RegisterFile("proto/search/search.proto", fileDescriptor_939d9f54669eb8a6) }

var fileDescriptor_939d9f54669eb8a6 = []byte{
	// 462 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x54, 0x93, 0xcf, 0x6e, 0xd4, 0x30,
	0x10, 0xc6, 0xf1, 0xfe, 0x0b, 0x3b, 0x9b, 0x82, 0x64, 0xad, 0x50, 0xa8, 0x40, 0x8a, 0x72, 0x5a,
	0x2e, 0xad, 0x14, 0x24, 0xc4, 0x11, 0x89, 0x1e, 0xe0, 0x02, 0x22, 0x7d, 0x02, 0x13, 0x4f, 0x53,
	0x4b, 0xbb, 0x71, 0xb0, 0x1d, 0x68, 0xfa, 0x62, 0xbc, 0x01, 0x2f, 0xc2, 0x8b, 0x54, 0x1e, 0xdb,
	0xdb, 0xed, 0x69, 0xfd, 0xfb, 0x3e, 0x7b, 0x3c, 0xdf, 0x78, 0x03, 0xaf, 0x07, 0xa3, 0x9d, 0xbe,
	0xb4, 0x28, 0x4c, 0x7b, 0x1b, 0x7f, 0x2e, 0x48, 0xe3, 0xab, 0x40, 0xd5, 0x5b, 0x58, 0xfe, 0x18,
	0xd1, 0x4c, 0x7c, 0x0b, 0xcb, 0x5f, 0x7e, 0x51, 0xb0, 0x92, 0xed, 0xd6, 0x4d, 0x80, 0xea, 0x2f,
	0x83, 0xc5, 0x37, 0x2d, 0x91, 0xbf, 0x80, 0x99, 0x92, 0xd1, 0x9b, 0x29, 0xc9, 0x39, 0x2c, 0x7a,
	0x71, 0xc0, 0x62, 0x46, 0x0a, 0xad, 0xbd, 0xe6, 0xa6, 0x01, 0x8b, 0x79, 0xd0, 0xfc, 0x9a, 0xd7,
	0x00, 0xad, 0xd6, 0x46, 0xaa, 0x5e, 0x38, 0x2c, 0x16, 0x25, 0xdb, 0x6d, 0x6a, 0x7e, 0x11, 0x5b,
	0xf9, 0x7c, 0x74, 0x9a, 0x93, 0x5d, 0xbc, 0x80, 0xec, 0x66, 0xaf, 0xb5, 0xf9, 0x7a, 0x55, 0x2c,
	0xa9, 0x54, 0x42, 0xfe, 0x0e, 0x32, 0x89, 0x4e, 0xa8, 0xbd, 0x2d, 0x56, 0x54, 0xea, 0x65, 0x2a,
	0x75, 0x15, 0xe4, 0x26, 0xf9, 0xd5, 0x07, 0x80, 0xc7, 0xf2, 0x3c, 0x07, 0x76, 0x47, 0xdd, 0xb3,
	0x86, 0xdd, 0x79, 0x9a, 0xa8, 0x73, 0xd6, 0xb0, 0xc9, 0xd3, 0x3d, 0xf5, 0xcc, 0x1a, 0x76, 0x5f,
	0xfd, 0x67, 0x90, 0xc5, 0x62, 0xbc, 0x84, 0x8d, 0x44, 0xdb, 0x1a, 0x35, 0x38, 0xa5, 0xfb, 0x98,
	0xfe, 0x54, 0xe2, 0xaf, 0x60, 0xb5, 0xd7, 0x9d, 0x56, 0x32, 0x0e, 0x22, 0x92, 0x8f, 0xa0, 0x0e,
	0xa2, 0x43, 0x25, 0xe3, 0x34, 0x12, 0xf2, 0x8f, 0x90, 0xeb, 0x01, 0x7b, 0xd5, 0x77, 0x5f, 0xf4,
	0x68, 0x6c, 0x1c, 0xc9, 0x36, 0xe5, 0xf8, 0x7e, 0xe2, 0x35, 0x4f, 0x76, 0xf2, 0x73, 0x78, 0xbe,
	0xd7, 0xad, 0xa0, 0x56, 0xc2, 0x5c, 0x8e, 0xec, 0xbd, 0x56, 0x38, 0xec, 0xb4, 0x99, 0x68, 0x32,
	0xeb, 0xe6, 0xc8, 0xf4, 0x2c, 0xa2, 0xb3, 0x45, 0x56, 0xce, 0xe9, 0x59, 0x44, 0x67, 0xab, 0x7f,
	0x0c, 0xf2, 0xd3, 0xab, 0x7c, 0x10, 0x3b, 0xf6, 0x52, 0xa4, 0xf7, 0x8f, 0xe4, 0xf5, 0x83, 0x26,
	0x3d, 0x06, 0x0c, 0xe4, 0x03, 0xba, 0x11, 0xad, 0x37, 0x62, 0xc0, 0x88, 0xfc, 0x0d, 0xac, 0xff,
	0xa0, 0xec, 0x83, 0xb7, 0x20, 0xef, 0x51, 0xf0, 0x8d, 0xba, 0xdb, 0xd1, 0x90, 0x19, 0x43, 0x24,
	0xf6, 0x77, 0xdd, 0x18, 0xe5, 0x9d, 0x10, 0x21, 0x92, 0x3f, 0x63, 0x85, 0x1b, 0x8d, 0x77, 0xb2,
	0x70, 0x26, 0x71, 0x55, 0x43, 0xee, 0xff, 0x9f, 0x0d, 0xda, 0x41, 0xf7, 0x16, 0x79, 0x05, 0xcb,
	0x5e, 0x4b, 0xb4, 0x05, 0x2b, 0xe7, 0xbb, 0x4d, 0x9d, 0xa7, 0xb9, 0xd2, 0xa6, 0x60, 0xd5, 0x9f,
	0xe0, 0xec, 0x9a, 0xd4, 0x6b, 0x34, 0xbf, 0x55, 0x8b, 0xfc, 0x12, 0x56, 0x41, 0xe0, 0x67, 0x69,
	0x3f, 0x7d, 0x14, 0xe7, 0xdb, 0x27, 0xc7, 0xe3, 0x1d, 0xd5, 0xb3, 0x9f, 0x2b, 0xfa, 0x88, 0xde,
	0x3f, 0x04, 0x00, 0x00, 0xff, 0xff, 0xa8, 0x90, 0x20, 0x5a, 0x61, 0x03, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ client.Option
var _ server.Option

// Client API for SearchService service

type SearchServiceClient interface {
	Search(ctx context.Context, in *Query, opts ...client.CallOption) (*NodeResponse, error)
}

type searchServiceClient struct {
	c           client.Client
	serviceName string
}

func NewSearchServiceClient(serviceName string, c client.Client) SearchServiceClient {
	if c == nil {
		c = client.NewClient()
	}
	if len(serviceName) == 0 {
		serviceName = "search"
	}
	return &searchServiceClient{
		c:           c,
		serviceName: serviceName,
	}
}

func (c *searchServiceClient) Search(ctx context.Context, in *Query, opts ...client.CallOption) (*NodeResponse, error) {
	req := c.c.NewRequest(c.serviceName, "SearchService.Search", in)
	out := new(NodeResponse)
	err := c.c.Call(ctx, req, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for SearchService service

type SearchServiceHandler interface {
	Search(context.Context, *Query, *NodeResponse) error
}

func RegisterSearchServiceHandler(s server.Server, hdlr SearchServiceHandler, opts ...server.HandlerOption) {
	s.Handle(s.NewHandler(&SearchService{hdlr}, opts...))
}

type SearchService struct {
	SearchServiceHandler
}

func (h *SearchService) Search(ctx context.Context, in *Query, out *NodeResponse) error {
	return h.SearchServiceHandler.Search(ctx, in, out)
}
